Smart Proxy - Bug #13129

Intermittent failures in native MS test_records_should_have_options tests
01/12/2016 07:49 AM - Dominic Cleal

Status: Closed
Priority: Normal
Assignee:
Category: DHCP
Target version: 1.10.2
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/smart-pro
xy/pull/362
Description

Intermittent test failures on Ruby 1.8.7 from the following two native MS DHCP tests:

undefined method " []' for nil:NilClass (NoMethodError)

/var/lib/workspace/workspace/test_proxy_develop_pr_core/puppet/2.6.0/ruby/1.

e_ms/dhcp_native_ms_main.rb:148:in "~ loadRecordOptions'

/var/lib/workspace/workspace/test_proxy_develop_pr_core/puppet/2.6.0/ruby/1.

e/server_ms_test.rb:188:in “test_records_should_have_options'

undefined method " []' for nil:NilClass (NoMethodError)

/var/lib/workspace/workspace/test_proxy_develop_pr_core/puppet/2.6.0/ruby/1.

e_ms/dhcp_native_ms_main.rb:148:in "~ loadRecordOptions'

/var/lib/workspace/workspace/test_proxy_develop_pr_core/puppet/2.6.0/ruby/1.

e/server_ms_test.rb:196:in “test_records_should_have_options_and_values'

It appears that @subnet_service.all_leases("172.29.205.0").first is likely returning nil.

.7/modules/dhcp_nativ

.7/test/dhcp_ms_nativ

.7/modules/dhcp_nativ

.7/test/dhcp_ms_nativ

Related issues:

Related to Smart Proxy - Bug #4148: Unable to delete DHCP reservations on MS ... Resolved
Related to Smart Proxy - Bug #5481: Foreman Proxy unable to remove DHCP reser... Resolved
Related to Smart Proxy - Bug #2320: Foreman Proxy on Windows: Vendor Class no... Duplicate

01/21/2014
04/28/2014
03/14/2013

Associated revisions

Revision b9309bfb - 01/21/2016 09:51 AM - Dmitri Dolguikh
Fixes #13129: fixes intermittent test failures in ms dhcp server
On older rubies the order of keys after hashmap merge is non-deterministic,

leading to intermittent test errors in this bit of code:
https://github.com/theforeman/smart-proxy/commit/62c9e22d#diff-153f490da42393cfc00b0e0f25a5d53cR265.

This code is broken (there are several reports about broken behavour:
http://projects.theforeman.org/issues/10556
http://projects.theforeman.org/issues/5481
http://projects.theforeman.org/issues/4148), to fix the tests the option parser
has been modified.

History

#1 - 01/19/2016 08:32 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Anonymous

- Pull request https://github.com/theforeman/smart-proxy/pull/362 added

#2 - 01/19/2016 08:34 AM - Anonymous
- Related to Bug #4148: Unable to delete DHCP reservations on MS DCHP servers added

05/18/2024
https://github.com/theforeman/smart-proxy/commit/62c9e22d#diff-153f490da42393cfc00b0e0f25a5d53cR265
http://projects.theforeman.org/issues/10556
http://projects.theforeman.org/issues/5481
http://projects.theforeman.org/issues/4148

#3 - 01/19/2016 08:36 AM - Anonymous

- Related to Bug #5481: Foreman Proxy unable to remove DHCP reservation: "IP / mac - is static - unable to delete" added

#4 - 01/21/2016 09:51 AM - Dominic Cleal
- Category changed from Tests to DHCP

- translation missing: en.field_release set to 123

#5 - 01/21/2016 10:02 AM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset b9309bfbe45ea2{2517f086e1de712ecfOfc2e1d.

#6 - 02/29/2016 10:09 AM - Anonymous
- Related to Bug #2320: Foreman Proxy on Windows: Vendor Class not found Error added
